.healthven-box-detail-gallery-slider {
  max-width: 774px;
  margin: 0 auto;

  @include media-breakpoint-up(lg) {
    margin: 0;
  }
}

.healthven-box-detail-buybox {
  @include media-breakpoint-up(lg) {
    max-width: 442px;
    margin-left: auto;
  }
}

.healthven-box-detail-note {
  background: #EDEDED;
  font-size: $h6-font-size;
}

.healthven-box-detail-description,
.healthven-box-detail-delivery-number-label-text {
  font-size: $h6-font-size;
}

.healthven-box-detail-custom-radio {
  padding-left: 32px;

  .custom-control-input:checked ~ .custom-control-label {
    font-weight: bold;

    &::after {
      background: none;
      border-color: $primary;
    }
  } 

  .custom-control-label {
    &::after {
      top: 0;
      left: -32px;
      width: 24px;
      height: 24px;
      background: #E9ECEF;
      border-radius: 8px;
      border: 1.5px solid #CED4DA;
    }
  
    &::before {
      top: 4px;
      left: -28px;
      width: 16px;
      height: 16px;
      border-radius: 6px;
    }
  }
}

.healthven-box-detail-delivery-number-label {
  border: 1px solid $border-color;

  &::before, &::after {
    top: 50%;
    left: 20px;
    transform: translateY(-50%);
  }

  .custom-control-input:checked ~& {
    border-color: $primary;
  }
}

.custom-box-add-file-text {
  color: $input-placeholder-color;
}

.quantity-container {
  .quantity-container-input {
    flex: 0 0 40px;
    width: 40px;
    height: 56px;
    border: 0;

    &::-webkit-outer-spin-button,
    &::-webkit-inner-spin-button {
      -webkit-appearance: none;
    }
  }
}

.healthven-box-detail-other-offers-bg {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 75%;
  background: $primary-light;

  img {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
  }
}
